PUT /api/v202407/billAccountChargeSplit/account/{accountId}

Creates or updates charge split settings for a specific account

EditAccountBillAccountChargeSplitSettingsV202407 Permissions: BillWorkflowSettings (Manage)
Use this endpoint to set which cost categories charges are split into for a specific account. If a rule already exists for this account, it is updated; otherwise a new one is created. Account-level rules override vendor-level rules.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountId The unique numeric identifier of the account whose charge split settings are being configured integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountBillAccountChargeSplitSettingsResponse
Property Description Type
accountCode The account code string
accountId The account identifier integer (int32)
accountInfo The account info string
costCategories Split account charges with a bill line type assigned to the cost categories CostCategoryResponseV202405[]
CostCategoryResponseV202405 properties
Property Description Type
costCategoryId The cost category identifier Required (defined) integer (int32)
costCategoryInfo Name of the cost category Required (defined) string
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
{  "accountCode": "string",  "accountId": 1,  "accountInfo": "string",  "costCategories": [
    {    "costCategoryId": 1,    "costCategoryInfo": "string"
  }
  ],  "vendorCode": "string",  "vendorId": 1,  "vendorInfo": "string"
}